//---------------------------------------------------------------------------
// hlavovy soubor definic obsluhy modemu
#ifndef modemH
#define modemH
//---------------------------------------------------------------------------
#define TAPI_CURRENT_VERSION	0x00010004
#include <tapi.h>
#include "Comm.h"
//---------------------------------------------------------------------------
typedef struct modem_info_tag
{
	VARSTRING vs;
	HANDLE hComm;
	char szDeviceName[255];
} MODEM_INFO, FAR *LPMODEM_INFO;

typedef struct device_config_tag
{
	VARSTRING vs;
	DWORD       dwSize;
	DWORD       dwVersion;
	WORD        fwOptions;
	WORD        wWaitBong;
	COMMCONFIG  commconfig;
} DEVICECONFIG, FAR *LPDEVICECONFIG;
//---------------------------------------------------------------------------
// blok verejnych funkci obsluhy modemu
extern TStringList *ModemList;              // seznam nainstalovanych modemu
extern AnsiString ActualModem;              // nazev otevreneho modemu
extern AnsiString ActCallNum;               // aktualni vytocene cislo
extern DWORD ConnectRate;                   // navazana prenosova ryclost
extern TThreadComm *ModemPort;              // seriovy port modemu

void __fastcall InitializeTAPI( void );     // inicializace prostredi TAPI
void __fastcall DestroyTAPI( void );        // likvidace prostredi TAPI
void __fastcall OpenModem( AnsiString Name ); // otevreni vybraneho modemu
void __fastcall Dial( AnsiString Number,bool PulseDial ); // vytoceni cisla
void __fastcall HangUp( void );             // zaveseni modemu
//---------------------------------------------------------------------------
#endif
